extends KinematicBody2D

var velocity := Vector2.ZERO

func _ready() -> void:
	pass

func _physics_process(delta: float) -> void:
	var snap = Vector2.DOWN * 50
	velocity.y += 100
	if Input.is_action_just_pressed('ui_select'):
		velocity.y = -1000
		snap = Vector2.ZERO
	if Input.is_action_pressed('ui_left'):
		velocity.x -= 40
	if Input.is_action_pressed('ui_right'):
		velocity.x += 40
	velocity.x  = lerp(velocity.x , 0, 0.1)	
	velocity = move_and_slide_with_snap(velocity, snap, Vector2.UP)
